﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.TeamBuild2010;

namespace Benday.TeamBuild2010.UnitTests
{
    public class UnitTestBase
    {
        protected const string STR_DefaultWebSite = "Default Web Site";
        protected const string STR_TestWebApplication = "TestWebApplication";

        public TestContext TestContext { get; set; }

        protected void DeleteApplicationIfItExists(string site, string applicationName)
        {
            if (UtilityInstance.ApplicationExists(site, applicationName) == true)
            {
                UtilityInstance.DeleteApplication(site, applicationName);

                Assert.IsFalse(UtilityInstance.ApplicationExists(site, applicationName), "Application should be gone.");
            }
        }

        private IisUtility m_utilityInstance;
        public IisUtility UtilityInstance
        {
            get
            {
                if (m_utilityInstance == null)
                    m_utilityInstance = new IisUtility();
                return m_utilityInstance;
            }
        }
        
    }
}